section {
    width: 100%;
    height: 100vh;
    background-size: cover;
    text-decoration: none;
    position: relative;
    min-width: 1200px;
}

a {
    text-decoration: none;
}

@font-face {
    font-family: ﻿Verdana-Bold;
    src: url("../fonts/Verdana.ttf") format("truetype");
}

/*Decoration for links*/

.link-green:hover {
    text-decoration: underline;
}
/*-----*/

.top-menu {
    height: 56px;
    background-color: rgba(0, 0, 0, 0.4);
    min-width: 60%;
}

.top-links {
    width: 80vw;
    box-sizing: border-box;
    float: left;
}

.top-links::after {
    content: "";
    display: block;
    clear: both;
}

/*Journey text*/
.top-text {
    width: 50%;
    font-family: ﻿Verdana-Bold, ﻿AdobeInvisFont, ﻿Courier, serif;
    text-transform: uppercase;
    color: white;
    line-height: 56px;
    margin-left: 81px;
    float: left;
}

.top-text::after {
    content: "";
    display: block;
    clear: both;
}

.top-text-link {
    font-size: 20px;
}

.top-text-link:hover {
    text-decoration: underline;
}
/*-----*/

/*Top icons area*/
.top-icons {
    margin: 0 0 0 auto;
    height: 100%;
    min-width: 500px;
    line-height: 56px;
    text-align: right;
    width: 50%;
}

.top-menu-links{
    list-style: none;
    margin-block-start: 0;
    margin-block-end: 0;
    padding-inline-start: 0;
}

.tm-link {
    padding-inline-start: 0;
    display: inline-block;
    margin: 0 14px;
    vertical-align: middle;
}

.ico-links{
    background-image: url(../img/css_sprites.png);
    background-repeat: no-repeat;
}

.ico-links-link-1 {
    display: block;
    width: 19px;
    height: 19px;
    background-position: -50px -86px;
}

.ico-links-link-1:hover {
    background-position: -89px -86px;
}

.ico-links-link-2 {
    display: block;
    width: 28px;
    height: 20px;
    background-position: -10px -10px;
}

.ico-links-link-2:hover {
    background-position: -58px -10px;
}

.ico-links-link-3 {
    display: block;
    width: 20px;
    height: 20px;
    background-position: -106px -10px;
}

.ico-links-link-3:hover {
    background-position: -10px -86px;
}
/*-----*/

/*Top login area*/
.top-login-area {
    height: 100%;
    font-size: 14px;
    line-height: 56px;
    color: white;
    width: 20vw;
    margin: 0 0 0 auto;
    font-family: Verdana, serif;
    overflow: hidden;
}

.top-text-login {
    margin-left: 35px;
    position: relative;
}

.top-text-login::before {
    content: "";
    height: 22px;
    border-left: 1px solid rgba(255, 255, 255, 0.1);
    display: block;
    position: absolute;
    top: calc(50% - 11px);
    left: -25px;
}
/*-----*/

/*Center Auth window*/
.auth-form {
    font-family: Verdana, serif;
    width: 444px;
    height: 584px;
    background-color: #fff;
    border-radius: 2%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, calc(-50% + 28px))
}


.green-square {
    width: 18px;
    height: 18px;
    position: absolute;
    top: 29px;
}

/*Sign and Login zone*/
.auth-form-content {
    font-family: Verdana, serif;
    width: 325px;
    height: 523px;
    margin: 26px auto;
}

.form-sig {
    width: 50%;
    font-size: 20px;
}

.form-log {
    font-size: 14px;
    width: 50%;
    float: right;
    text-align: right;
}
/*-----*/

/*Standart for FB and G buttons*/
.auth-form-buttons{
    margin-top: 14px;
}
.button-text {
    text-align: center;
    color: white;
    line-height: 47px;
    display: inline-block;
    width: 65%;
    vertical-align: top;
}

.button-text::before {
    content: "";
    height: 28px;
    border-left: 1px solid rgba(0, 0, 0, 0.1);
    display: block;
    position: absolute;
    top: calc(50% - 14px);
}
/*-----*/

/*FB button*/
.f-button {
    width: 157px;
    height: 46px;
    /*background-color: #305db8;*/
    border-radius: 5%;
    box-sizing: border-box;
    position: relative;
    float: left;
}
.f-button:hover{
    box-shadow: 0 0 5px 5px rgb(0 0 0 / 30%);
}

.f-button::after {
    content: "";
    display: block;
    clear: both;
}

.ico-links-f-button {
    display: inline-block;
    width: 43px;
    height: 100%;
    background-position: -127px 2px;
}
/*-----*/

/*Google button*/
.g-button {
    width: 157px;
    height: 46px;
    border-radius: 5%;
    margin: 0 0 0 auto;
    position: relative;
}

.g-button:hover{
    box-shadow: 0 0 5px 5px rgb(0 0 0 / 30%);
}

.ico-links-g-button {
    display: inline-block;
    width: 43px;
    height: 100%;
    background-position: 2px -35px;
}
/*-----*/

/*or*/
.or{
    margin-top: 25px;
    text-align: center;
    color: #848484;
    position: relative;
    font-size: 14px;
}
.or::before{
    content: "";
    display: block;
    width: 135px;
    border-bottom: 1px solid #eaeaea;
    position: absolute;
    top: calc(50% + 1px);
}
.or::after{
    content: "";
    display: block;
    width: 135px;
    border-bottom: 1px solid #eaeaea;
    position: absolute;
    right: 0;
    top: calc(50% + 1px);
}
/*-----*/

/*Forms*/

/*Standart for forms*/
.input-forms{
    width: 100%;
    height: 43px;
    display: block;
    margin: 9px auto 0 auto;
    font-size: 14px;
    border: 1px solid #eaeaea;
    border-radius: 4%;
    outline: none;
    padding-left: 17px;
    box-sizing: border-box;
}
/*-----*/

/*Adding shadows on selected*/
.input-forms:focus{
    border: 1px solid white;
    box-shadow: 0 5px 10px 0 rgba(0,0,0,0.2);
}
/*-----*/

/*Changing placeholder*/
.input-forms::placeholder{
    color: rgba(0,0,0,0.2);
}

.input-forms:focus::placeholder{
    opacity: 0;
    transition: opacity 0.3s ease;
}
/*-----*/

.firstname{
    margin: 15px auto;
}

/*Changing checkbox view*/
.checkbox {
    margin-top: 22px;
    font-size: 14px;
    vertical-align: center;
    position:relative;
    padding-left:30px;
}

.checkbox input[type=checkbox] {
    display:none;
}

.checkbox label:after {
    content:'';
    display:block;
    height:20px;
    width:20px;
    border:1px solid #eaeaea;
    position:absolute;
    left:1px;
    top: -2px;
    border-radius: 5%;
}
.checkbox input[type=checkbox]:checked + label:after {
    border-radius: 5%;
    border:1px solid #eaeaea;
    width:20px;
    height:20px;
    background-image: url(../img/checkbox.png);
    background-repeat: no-repeat;
    background-position: 3px 5px;
}
/*-----*/

/*Submit button*/
.submit{
    margin: 25px 0 0 0;
    width: 100%;
    height: 43px;
    display: block;
    font-size: 14px;
    border: 1px solid #eaeaea;
    border-radius: 4%;
    outline: none;
    padding-left: 17px;
}
.submit:hover{
    box-shadow: 0 0 5px 5px rgb(0 0 0 / 30%);
}
/*-----*/

.color_switch{
    background-color: rgb(0 0 0 / 30%);
    height: 50px;
    width: 250px;
    position: absolute;
    bottom: 10px;
    left: 10px;
    text-align: center;
    line-height: 50px;
    user-select: none;
    cursor: pointer;
    border-radius: 10px;
}

.color_switch:hover{
    background-color: rgb(0 0 0 / 70%);
}